### Struct

# Qmi MessageWmsListMessagesInput

since: 1.0

#### Description [src]

    struct QmiMessageWmsListMessagesInput {
      /* No available fields */
    }

The `QmiMessageWmsListMessagesInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.0

#### Constructors

###### qmi_message_wms_list_messages_input_new

Allocates a new `QmiMessageWmsListMessagesInput`.

since: 1.0

#### Instance methods

###### qmi_message_wms_list_messages_input_get_message_mode

Get the ‘Message Mode’ field from `self`.

since: 1.0

###### qmi_message_wms_list_messages_input_get_message_tag

Get the ‘Message Tag’ field from `self`.

since: 1.0

###### qmi_message_wms_list_messages_input_get_storage_type

Get the ‘Storage Type’ field from `self`.

since: 1.0

###### qmi_message_wms_list_messages_input_ref

Atomically increments the reference count of `self` by one.

since: 1.0

###### qmi_message_wms_list_messages_input_set_message_mode

Set the ‘Message Mode’ field in the message.

since: 1.0

###### qmi_message_wms_list_messages_input_set_message_tag

Set the ‘Message Tag’ field in the message.

since: 1.0

###### qmi_message_wms_list_messages_input_set_storage_type

Set the ‘Storage Type’ field in the message.

since: 1.0

###### qmi_message_wms_list_messages_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.0